CreateSecurityGroup
1. API Description
This API (CreateSecurityGroup) is used to create a security group.
Note
A single team can create a limited number of security groups. If you need more, please contact us.
A security group has a limited number of rules. If you need more, please contact us.
Rules in the same direction cannot be duplicated.
2. Input Parameters
The following request parameter list only provides API request parameters.
securityGroupName
Yes
String
Security group name.
The length is 1 to 64 characters. Only letters, numbers, - and periods (.) are supported.
scope
No
String
Deployment scope.
Only Global is supported currently.
Default value: Global .
Default value: Global
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
securityGroupId
String
The security group ID.
4. Code Example
Create a security group.
5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
400
INVALID_PARAMETER_SECURITY_GROUP_CIDR_IP
Invalid source IP address range.
400
INVALID_PARAMETER_SECURITY_GROUP_DESC
The rule description contains invalid characters.
400
INVALID_PARAMETER_SECURITY_GROUP_DIRECTION
Inbound or outbound rules error.
400
INVALID_PARAMETER_SECURITY_GROUP_IP_PROTOCOL
Invalid IP protocol.
400
INVALID_PARAMETER_SECURITY_GROUP_PORT_RANGE
Invalid security group rule PortRange parameter.
400
INVALID_PARAMETER_SECURITY_GROUP_PRIORITY
Invalid security group rule Priority parameter.
400
OPERATION_DENIED_SECURITY_GROUP_TEAM_EXCEED_LIMIT
The number of security groups exceeds the quota limit.
Last updated